<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LifeDiscountCouponStoreFriendSendRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LifeDiscountCouponStoreFriendSendRecord">
        <id column="id" property="id" />
        <result column="user_id" property="userId" />
        <result column="order_id" property="orderId" />
        <result column="store_id" property="storeId" />
        <result column="store_user_id" property="storeUserId" />
        <result column="discount_coupon_ids" property="discountCouponIds" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_user_id" property="updatedUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, user_id, order_id, store_id, store_user_id, discount_coupon_ids, delete_flag, created_time, updated_time, created_user_id, updated_user_id
    </sql>

</mapper>
